まとめ:PHP5.2.9(Win)でPostgreSQLと接続する

 2009/05/14

PHP5.2.9のWindows版についてはpostgresqlとの接続が出来ない問題がある。(環境によるかも)

問題となっているのは、phppgsql.dllとphppdo_pgsql.dllの2つで、php.iniで拡張をロードしてもphpinfoの情報で出てこず、ロードに失敗する。

対応方法としては、PHP5.2.4以前のバージョンに同封されているphppgsql.dllとphppdo_pgsql.dllをもってきて上書きすれば良い。

PHPの過去のバージョンはhttp://www.php.net/releases/にある。

 2009/05/14

著作

寄稿

Latest post: